C**************************************************************
C      HAPEM4 Model Post processing Program expo3tract
C**************************************************************
C
C***	This is the 3rd program to take each preprocessed file ADD 
c     and determine  the median, 25th and 75th percentile and create 
c     a file of tract level ranges for a single pollutant.
C***	DEVELOPED 7/5/00 Ted Palma - USEPA
c		modified 7/18/00 for revised expo-a
 
c	Input data: ADD-ALL.out - file from EXPO2 as input
c				STATES.FIPS - listing of states and FIPS codes
c				COUNTY.TXT - listing of county and FIPS codes
c				INDEX.TXT   - listing of pollutants

c	Output:     EXPO-ADD-ALL-C.out - a pollutant specific exposure
c				   concentration file summaried for each county.
c
C***
	CHARACTER*1 Dummy,UR(6000)
	CHARACTER*5 APOLNUM,APOLNUM2
	CHARACTER*9 CAS
	CHARACTER*80 NAME
	CHARACTER*20 statename(99),countyname(6000)
	CHARACTER*24 polname

	REAL xmed(2,6),pop(2)
  
	integer    idc(6000)



C


C
      IRD1=18
	IRD2=19
	IRD3=20
	IRD4 =21
      IWRI1=22
c	iwri2=23

c	OPEN(UNIT=iwri2,file='run.log',STATUS='unknown')

c	Open Master County FIPS List:
	OPEN(UNIT=ird2,file='county.txt',STATUS='old')
	is=1
	read (ird2,'(i5,4x,1a1,4x,a20)',iostat=ierr)
	1             idc(is),UR(is),countyname(is)
	do while (ierr.eq.0)
	 is=is+1
	read (ird2,'(i5,4x,1a1,4x,a20)',iostat=ierr)
	1             idc(is),UR(is),countyname(is)

c	 write(iwri2, '(x,i5.5,4x,i5.5,8x,a20)')is,idc(is),countyname(is)
	end do

	 idctotal=is-1
c	write(iwri2, '(x,i5.5)')idctotal
	
c	Open Master State FIPS List:
	OPEN(UNIT=ird3,file='states.fips',STATUS='old')
	read (ird3,'(7x,i2,8x,a20)',iostat=ierr)is,statename(is)
	do while (ierr.eq.0)
	 read (ird3,'(7x,i2,8x,a20)',iostat=ierr)is,statename(is)
	end do
	

 9999   FORMAT(A)

	write(6,'(a,$)')" Enter Pollutant SAROD#: "
	read(5,*)APOLNUM(1:5)


c	Open Master Pollutant List:
	OPEN(UNIT=ird3,file='index.txt',STATUS='old')

	read (IRD3, 9999) DUMMY(1:1) ! read header line
	read (IRD3, 666, iostat=ierr) 
	1		APOLNUM2 ,CAS, polname(1:24)   ! read first pollutant
	do while (ierr.eq.0)
	IF(APOLNUM.EQ.APOLNUM2)GO TO 11
	read (IRD3, 666, iostat=ierr) 
	1		APOLNUM2 ,CAS, polname(1:24)   ! read NEXT pollutant
	end do


 666	format(16X,1A5,3x,1A9,1a24)

c	These are the combined output files from expo2:
11			 NAME=".\"//APOLNUM(1:5)//"\"//"ADD-ALL.OUT"
			 OPEN(UNIT=ird1,file=NAME,STATUS='old')


c	These are the exposure output files by county:
			 NAME=".\"//APOLNUM(1:5)//"\"//"EXPO-ADD-ALL-T.OUT"
			 OPEN(UNIT=iwri1,file=NAME,STATUS='unknown')


		READ (ird1, *,iostat=ierr1) i1,i2,i3,i4,pop(1),
	1   (Xmed(1,ii),ii=1,6),i5,pop(2),(Xmed(2,ii),ii=1,6)

		do while (ierr1.eq.0)
   	  istate=i1
  	  icounty=i2

	  do is=1,idctotal
	     icc=icounty+1000*istate
	  if(icc.eq.idc(is))go to 777
	  end do
 
	 


c Modified output just for speadsheet format:
 777 	write(iwri1, 1000)statename(istate)(1:20),countyname(is)(1:20),
	1                  i3,UR(is)(1:1), pop(1),
	1                (Xmed(1,ii),ii=1,6),  pop(2),(Xmed(2,ii),ii=1,6)


 1000	format(x,1a20,2x,1a20,2x,i7.7,2x,1a1, f10.0,
	1            6(1pe11.3),2x,0pf10.0,6(1pe11.3))


		READ (ird1, *,iostat=ierr1) i1,i2,i3,i4,pop(1),
	1   (Xmed(1,ii),ii=1,6),i5,pop(2),(Xmed(2,ii),ii=1,6)


		end do ! ierr1 0


	STOP
	end	



